Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/setspv.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/setspv.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/setspv.F90	(revision 298)
@@ -27,4 +27,5 @@
                              STELLARF,TAURAY
       use datafile_mod, only: datadir
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -82,6 +83,6 @@
       close(131)
 
-      write(*,*) 'setspv: L_NSPECTV = ',L_NSPECTV, 'in the model '
-      write(*,*) '        there are   ',nb, 'entries in ',TRIM(file_path)
+      if (is_master) write(*,*) 'setspv: L_NSPECTV = ',L_NSPECTV, 'in the model '
+      if (is_master) write(*,*) '        there are   ',nb, 'entries in ',TRIM(file_path)
       if(nb.ne.L_NSPECTV) then
          write(*,*) 'MISMATCH !! I stop here'
@@ -102,4 +103,5 @@
 !$OMP BARRIER
 
+      if (is_master) then
       print*,'setspv: VI band limits:'
       do M=1,L_NSPECTV+1
@@ -107,4 +109,5 @@
       end do
       print*,' '
+      end if
 
 !     Set up mean wavenumbers and wavenumber deltas.  Units of 
@@ -123,5 +126,5 @@
 !     Set up stellar spectrum
 
-      write(*,*)'setspv: Interpolating stellar spectrum from the hires data...'
+      if (is_master) write(*,*)'setspv: Interpolating stellar spectrum from the hires data...'
       call ave_stelspec(STELLAR)
 
@@ -132,6 +135,6 @@
          sum         = sum+STELLARF(N)
       end do
-      write(6,'("setspv: Stellar flux at 1 AU = ",f7.2," W m-2")') sum
-      print*,' '
+      if (is_master) write(6,'("setspv: Stellar flux at 1 AU = ",f7.2," W m-2")') sum
+      if (is_master) print*,' '
 
 
@@ -144,5 +147,5 @@
          call calc_rayleigh
       else
-         print*,'setspv: No Rayleigh scattering, check for NaN in output!'
+         if (is_master) print*,'setspv: No Rayleigh scattering, check for NaN in output!'
          do N=1,L_NSPECTV
             TAURAY(N) = 1E-16
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/suaer_corrk.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/suaer_corrk.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/suaer_corrk.F90	(revision 298)
@@ -11,4 +11,5 @@
       use radcommon_h, only: qrefvis,qrefir,omegarefvis,omegarefir
       use aerosol_mod
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -170,5 +171,5 @@
 
        if (iaer.eq.iaero_back2lay) then
-         print*, 'naerkind= back2lay', iaer
+         if (is_master) print*, 'naerkind= back2lay', iaer
 
 !     visible
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/sugas_corrk.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/sugas_corrk.F90	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/sugas_corrk.F90	(revision 298)
@@ -30,4 +30,5 @@
 !      use ioipsl_getincom
       use ioipsl_getincom_p 
+      use mod_phys_lmdz_para, only : is_master
       implicit none
 
@@ -105,5 +106,5 @@
       do igas=1,ngas
          read(111,*) gastype(igas)
-         print*,'Gas ',igas,' is ',gastype(igas)
+         if (is_master) print*,'Gas ',igas,' is ',gastype(igas)
       enddo
 
@@ -135,4 +136,5 @@
 
       ! display the values
+      if (is_master) then 
       print*,'Variable gas volume mixing ratios:'
       do n=1,L_REFVAR
@@ -141,4 +143,5 @@
       end do
       print*,''
+      end if
 
 !=======================================================================
@@ -172,4 +175,5 @@
  
       ! display the values
+      if (is_master) then
       print*,'Correlated-k g-space grid:'
       do n=1,L_NGAUSS
@@ -177,4 +181,5 @@
       end do
       print*,''
+      end if
 
 !=======================================================================
@@ -210,4 +215,5 @@
 
       ! display the values
+      if (is_master) then
       print*,'Correlated-k pressure grid (mBar):'
       do n=1,L_NPREF
@@ -215,4 +221,5 @@
       end do
       print*,''
+      end if
 
       ! save the min / max matrix values
@@ -255,8 +262,10 @@
 
       ! display the values
+      if (is_master) then
       print*,'Correlated-k temperature grid:'
       do n=1,L_NTREF
          print*,n,'.',tgasref(n),' K'
       end do
+      end if
 
       ! save the min / max matrix values
@@ -275,7 +284,7 @@
 
       ! display the values
-      print*,''
-      print*,'Correlated-k matrix size:' 
-      print*,'[',L_NTREF,',',L_NPREF,',',L_REFVAR,',',L_NGAUSS,']' 
+      if (is_master) print*,''
+      if (is_master) print*,'Correlated-k matrix size:' 
+      if (is_master) print*,'[',L_NTREF,',',L_NPREF,',',L_REFVAR,',',L_NGAUSS,']' 
 
 !=======================================================================
@@ -285,5 +294,5 @@
 !        wavelength used to separate IR from VI in graybody. We will need that anyway
          IR_VI_wnlimit=3000.
-         write(*,*)"graybody: Visible / Infrared separation set at",10000./IR_VI_wnlimit,"um"
+         if (is_master) write(*,*)"graybody: Visible / Infrared separation set at",10000./IR_VI_wnlimit,"um"
 	 
 	 nVI_limit=0
@@ -304,18 +313,18 @@
       if (graybody) then
 !        constant absorption coefficient in visible
-         write(*,*)"graybody: constant absorption coefficient in visible:"
+         if (is_master) write(*,*)"graybody: constant absorption coefficient in visible:"
          kappa_VI=-100000.
          call getin_p("kappa_VI",kappa_VI)
-         write(*,*)" kappa_VI = ",kappa_VI
+         if (is_master) write(*,*)" kappa_VI = ",kappa_VI
 	 kappa_VI=kappa_VI*1.e4* mugaz * 1.672621e-27	 ! conversion from m^2/kg to cm^2/molecule         
       
 !        constant absorption coefficient in IR
-         write(*,*)"graybody: constant absorption coefficient in InfraRed:"
+         if (is_master) write(*,*)"graybody: constant absorption coefficient in InfraRed:"
          kappa_IR=-100000.
          call getin_p("kappa_IR",kappa_IR)
-         write(*,*)" kappa_IR = ",kappa_IR	 
+         if (is_master) write(*,*)" kappa_IR = ",kappa_IR	 
          kappa_IR=kappa_IR*1.e4* mugaz * 1.672621e-27	 ! conversion from m^2/kg to cm^2/molecule 
 
-         write(*,*)"graybody: Visible / Infrared separation set at band: IR=",nIR_limit,", VI=",nVI_limit
+         if (is_master) write(*,*)"graybody: Visible / Infrared separation set at band: IR=",nIR_limit,", VI=",nVI_limit
 	       
       Else
@@ -330,6 +339,6 @@
          if ((corrkdir(1:4).eq.'null'))then   !(TRIM(corrkdir).eq.'null_LowTeffStar')) then
             gasv8(1:L_NTREF,1:L_NPREF,1:L_REFVAR,1:L_NSPECTV,1:L_NGAUSS)=0.0
-            print*,'using no corrk data'
-            print*,'Visible corrk gaseous absorption is set to zero if graybody=F'
+            if (is_master) print*,'using no corrk data'
+            if (is_master) print*,'Visible corrk gaseous absorption is set to zero if graybody=F'
 	 else
             file_id='/corrk_data/'//trim(adjustl(banddir))//'/corrk_gcm_VI.dat' 
@@ -363,5 +372,5 @@
 	 end if
       else
-         print*,'Visible corrk gaseous absorption is set to zero.'
+         if (is_master) print*,'Visible corrk gaseous absorption is set to zero.'
          gasv8(1:L_NTREF,1:L_NPREF,1:L_REFVAR,1:L_NSPECTV,1:L_NGAUSS)=0.0
       endif
@@ -371,5 +380,5 @@
       ! INFRA-RED
       if ((corrkdir(1:4).eq.'null'))then       !.or.(TRIM(corrkdir).eq.'null_LowTeffStar')) then
-         print*,'Infrared corrk gaseous absorption is set to zero if graybody=F'
+         if (is_master) print*,'Infrared corrk gaseous absorption is set to zero if graybody=F'
 !$OMP MASTER         
          gasi8(1:L_NTREF,1:L_NPREF,1:L_REFVAR,1:L_NSPECTI,1:L_NGAUSS)=0.0
@@ -662,4 +671,5 @@
       endif
 
+      if (is_master) then
       print*,'----------------------------------------------------'
       print*,'And that`s all we have. It`s possible that other'
@@ -667,4 +677,5 @@
       print*,'don`t yet have data for it...'
       print*,''
+      end if
 
 !     Deallocate local arrays
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/surfini.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/surfini.F	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/surfini.F	(revision 298)
@@ -5,4 +5,5 @@
       use comgeomfi_h, only: lati
       use planetwide_mod, only: planetwide_maxval, planetwide_minval
+      use mod_phys_lmdz_para, only : is_master
 
       IMPLICIT NONE
@@ -36,6 +37,8 @@
       call planetwide_minval(albedodat,min_albedo)
       call planetwide_maxval(albedodat,max_albedo)
+      if (is_master) then
       write(*,*) 'surfini: minimum corrected albedo',min_albedo
       write(*,*) 'surfini: maximum corrected albedo',max_albedo
+      end if
 
       if (igcm_co2_ice.ne.0) then
@@ -52,12 +55,16 @@
         ENDDO ! of DO ig=1,ngrid     
       else
+        if (is_master) then
         write(*,*) "surfini: No CO2 ice tracer on surface  ..."
         write(*,*) "         and therefore no albedo change."
+        end if
       endif
 
       call planetwide_minval(psolaralb,min_albedo)
       call planetwide_maxval(psolaralb,max_albedo)
+      if (is_master) then
       write(*,*) 'surfini: minimum corrected albedo',min_albedo
       write(*,*) 'surfini: maximum corrected albedo',max_albedo
+      end if
 
       END
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/tabfi.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/tabfi.F	(revision 297)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/tabfi.F	(revision 298)
@@ -53,4 +53,5 @@
       use planete_mod, only: year_day, periastr, apoastr, peri_day,
      &                       obliquit, z0, lmixmin, emin_turb
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -82,5 +83,6 @@
       LOGICAL :: found
       
-      write(*,*)"tabfi: nid=",nid," tab0=",tab0," Lmodif=",Lmodif
+      if (is_master) write(*,*)"tabfi: nid=",nid," tab0=",tab0,
+     &		" Lmodif=",Lmodif
 
       IF (nid.eq.0) then
@@ -90,5 +92,5 @@
         ! Ehouarn: Default Saturn values:
         tab_cntrl(:)=0
-        write(*,*) "Using default Saturn values..."
+        if (is_master) write(*,*) "Using default Saturn values..."
         ! these should be read in a def file I guess...
         lmax=0 ! not used anyways
@@ -164,5 +166,5 @@
          call abort
        else
-         write(*,*)'tabfi: tab_cntrl',tab_cntrl
+         if (is_master) write(*,*)'tabfi: tab_cntrl',tab_cntrl
        endif
 c
@@ -227,4 +229,5 @@
    5  FORMAT(a20,f12.2,f12.2)
  
+      if (is_master) then
       write(*,*) '*****************************************************'
       write(*,*) 'Reading tab_cntrl when calling tabfi before changes'
@@ -265,4 +268,5 @@
       write(*,*)
       write(*,*) 'Lmodif in tabfi!!!!!!!',Lmodif
+      end if !of if (is_master)
 
 c-----------------------------------------------------------------------
